org.eclipse.graphiti.mm.algorithms.styles

## Interface AbstractStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AbstractText, Ellipse, GraphicsAlgorithm, Image, MultiText, PlatformGraphicsAlgorithm, Polygon, Polyline, Rectangle, RoundedRectangle, Style, Text

All Known Implementing Classes:
  AbstractStyleImpl, AbstractTextImpl, EllipseImpl, GraphicsAlgorithmImpl, ImageImpl, MultiTextImpl, PlatformGraphicsAlgorithmImpl, PolygonImpl, PolylineImpl, RectangleImpl, RoundedRectangleImpl, StyleImpl, TextImpl

    public interface AbstractStyle
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Abstract Style'.

The following features are supported:

- `Background`
- `Foreground`
- `Line Width`
- `Line Style`
- `Filled`
- `Line Visible`
- `Rendering Style`
- `Transparency`

See Also:
  `StylesPackage.getAbstractStyle()`

### Method Summary

All Methods Instance Methods Abstract Methods
`Color` `getBackground()` Returns the value of the 'Background' reference.
`Boolean` `getFilled()` Returns the value of the 'Filled' attribute.
`Color` `getForeground()` Returns the value of the 'Foreground' reference.
`LineStyle` `getLineStyle()` Returns the value of the 'Line Style' attribute.
`Boolean` `getLineVisible()` Returns the value of the 'Line Visible' attribute.
`Integer` `getLineWidth()` Returns the value of the 'Line Width' attribute.
`RenderingStyle` `getRenderingStyle()` Returns the value of the 'Rendering Style' containment reference.
`Double` `getTransparency()` Returns the value of the 'Transparency' attribute.
`boolean` `isSetFilled()` Returns whether the value of the '`Filled`' attribute is set.
`boolean` `isSetLineVisible()` Returns whether the value of the '`Line Visible`' attribute is set.
`void` `setBackground(Color value)` Sets the value of the '`Background`' reference.
`void` `setFilled(Boolean value)` Sets the value of the '`Filled`' attribute.
`void` `setForeground(Color value)` Sets the value of the '`Foreground`' reference.
`void` `setLineStyle(LineStyle value)` Sets the value of the '`Line Style`' attribute.
`void` `setLineVisible(Boolean value)` Sets the value of the '`Line Visible`' attribute.
`void` `setLineWidth(Integer value)` Sets the value of the '`Line Width`' attribute.
`void` `setRenderingStyle(RenderingStyle value)` Sets the value of the '`Rendering Style`' containment reference.
`void` `setTransparency(Double value)` Sets the value of the '`Transparency`' attribute.
`void` `unsetFilled()` Unsets the value of the '`Filled`' attribute.
`void` `unsetLineVisible()` Unsets the value of the '`Line Visible`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getBackground

    Color getBackground()

Returns the value of the 'Background' reference.

If the meaning of the 'Background' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Background' reference.
See Also:
  `setBackground(Color)`, `StylesPackage.getAbstractStyle_Background()`

#### setBackground

    void setBackground(Color value)

Sets the value of the '`Background`' reference.

Parameters:
  `value` - the new value of the 'Background' reference.
See Also:
  `getBackground()`

#### getForeground

    Color getForeground()

Returns the value of the 'Foreground' reference.

If the meaning of the 'Foreground' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Foreground' reference.
See Also:
  `setForeground(Color)`, `StylesPackage.getAbstractStyle_Foreground()`

#### setForeground

    void setForeground(Color value)

Sets the value of the '`Foreground`' reference.

Parameters:
  `value` - the new value of the 'Foreground' reference.
See Also:
  `getForeground()`

#### getLineWidth

    Integer getLineWidth()

Returns the value of the 'Line Width' attribute.

If the meaning of the 'Line Width' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Line Width' attribute.
See Also:
  `setLineWidth(Integer)`, `StylesPackage.getAbstractStyle_LineWidth()`

#### setLineWidth

    void setLineWidth(Integer value)

Sets the value of the '`Line Width`' attribute.

Parameters:
  `value` - the new value of the 'Line Width' attribute.
See Also:
  `getLineWidth()`

#### getLineStyle

    LineStyle getLineStyle()

Returns the value of the 'Line Style' attribute. The literals are from the enumeration `LineStyle`.

If the meaning of the 'Line Style' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Line Style' attribute.
See Also:
  `LineStyle`, `setLineStyle(LineStyle)`, `StylesPackage.getAbstractStyle_LineStyle()`

#### setLineStyle

    void setLineStyle(LineStyle value)

Sets the value of the '`Line Style`' attribute.

Parameters:
  `value` - the new value of the 'Line Style' attribute.
See Also:
  `LineStyle`, `getLineStyle()`

#### getFilled

    Boolean getFilled()

Returns the value of the 'Filled' attribute. The default value is `"true"`.

If the meaning of the 'Filled' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Filled' attribute.
See Also:
  `isSetFilled()`, `unsetFilled()`, `setFilled(Boolean)`, `StylesPackage.getAbstractStyle_Filled()`

#### setFilled

    void setFilled(Boolean value)

Sets the value of the '`Filled`' attribute.

Parameters:
  `value` - the new value of the 'Filled' attribute.
See Also:
  `isSetFilled()`, `unsetFilled()`, `getFilled()`

#### unsetFilled

    void unsetFilled()

Unsets the value of the '`Filled`' attribute.

Since:
  0.9
See Also:
  `isSetFilled()`, `getFilled()`, `setFilled(Boolean)`

#### isSetFilled

    boolean isSetFilled()

Returns whether the value of the '`Filled`' attribute is set.

Returns:
  whether the value of the 'Filled' attribute is set.
Since:
  0.9
See Also:
  `unsetFilled()`, `getFilled()`, `setFilled(Boolean)`

#### getLineVisible

    Boolean getLineVisible()

Returns the value of the 'Line Visible' attribute. The default value is `"true"`.

If the meaning of the 'Line Visible' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Line Visible' attribute.
See Also:
  `isSetLineVisible()`, `unsetLineVisible()`, `setLineVisible(Boolean)`, `StylesPackage.getAbstractStyle_LineVisible()`

#### setLineVisible

    void setLineVisible(Boolean value)

Sets the value of the '`Line Visible`' attribute.

Parameters:
  `value` - the new value of the 'Line Visible' attribute.
See Also:
  `isSetLineVisible()`, `unsetLineVisible()`, `getLineVisible()`

#### unsetLineVisible

    void unsetLineVisible()

Unsets the value of the '`Line Visible`' attribute.

Since:
  0.9
See Also:
  `isSetLineVisible()`, `getLineVisible()`, `setLineVisible(Boolean)`

#### isSetLineVisible

    boolean isSetLineVisible()

Returns whether the value of the '`Line Visible`' attribute is set.

Returns:
  whether the value of the 'Line Visible' attribute is set.
Since:
  0.9
See Also:
  `unsetLineVisible()`, `getLineVisible()`, `setLineVisible(Boolean)`

#### getRenderingStyle

    RenderingStyle getRenderingStyle()

Returns the value of the 'Rendering Style' containment reference.

If the meaning of the 'Rendering Style' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Rendering Style' containment reference.
See Also:
  `setRenderingStyle(RenderingStyle)`, `StylesPackage.getAbstractStyle_RenderingStyle()`

#### setRenderingStyle

    void setRenderingStyle(RenderingStyle value)

Sets the value of the '`Rendering Style`' containment reference.

Parameters:
  `value` - the new value of the 'Rendering Style' containment reference.
See Also:
  `getRenderingStyle()`

#### getTransparency

    Double getTransparency()

Returns the value of the 'Transparency' attribute.

If the meaning of the 'Transparency' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Transparency' attribute.
See Also:
  `setTransparency(Double)`, `StylesPackage.getAbstractStyle_Transparency()`

#### setTransparency

    void setTransparency(Double value)

Sets the value of the '`Transparency`' attribute.

Parameters:
  `value` - the new value of the 'Transparency' attribute.
See Also:
  `getTransparency()`